### Name

> XmHTMLImageReplace - replace an image with another image in the currently displayed document.

### Synopsis

> XmImageStatus XmHTMLImageReplace(Widget w, XmImageInfo *image, XmImageInfo *new_image)

### Description

### Return Value

> Any of the following values:

    	typedef enum{
    		XmIMAGE_ERROR    /* unknown error occured */
    		XmIMAGE_BAD      /* bad function call: missing arguments */
    		XmIMAGE_UNKNOWN  /* provided XmImageInfo structure unknown/unbound */
    		XmIMAGE_ALMOST   /* action completed, further response necessary */
    		XmIMAGE_OK       /* action completed. */
    	}XmImageStatus;

> A return value of XmIMAGE_ALMOST indicates that a redisplay of the current document is necessary (this value can be returned if the dimensions of the new image differ from the image that it replaced).

### See Also

> XmHTML(3X), XmHTMLImageDefaultProc(3X), XmHTMLImageUpdate(3X), XmHTMLRedisplay(3X), XmImageInfo(3X)

XmHTML, October 7, 1997